Skip to content
GET /unified/conversational-intelligence/scorecards

Query Parameters

Refer Specifying query parameters in Truto APIs

start_timestring · date-time

Start of the call or meeting date range used to filter scorecards

1 supported
Gong
supported
end_timestring · date-time

End of the call or meeting date range used to filter scorecards (typically exclusive)

1 supported
Gong
supported
review_start_timestring · date-time

Start of the review submission date range

1 supported
Gong
supported
review_end_timestring · date-time

End of the review submission date range (typically exclusive)

1 supported
Gong
supported
revieweesobject[]

Filter by users whose calls or meetings were reviewed

1 supported
Gong
supported
idstring
required·

Unique identifier of the reviewee

reviewersobject[]

Filter by users who submitted the scorecard reviews

1 supported
Gong
supported
idstring
required·

Unique identifier of the reviewer

scorecard_templatesobject[]

Filter by scorecard templates

1 supported
Gong
supported
idstring
required·

Unique identifier of the scorecard template

review_methodstring

Filter by how the scorecard was completed

Possible values:
automaticbothmanual
1 supported
Gong
supported
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
  • debug returns the final unified result alongside raw remote fetch information. The response is an envelope containing result (identical to unified mode output) and debug (with requestUrl, requestOptions, data, responseHeaders, and for list operations: nextCursor, isLooping, isEmptyResult, resultCount). debug is null for static responses or when truto_skip_api_call=true.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstreamdebug
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

debugobject

Present only when truto_response_format=debug. Contains raw fetch details: requestUrl, requestOptions, data, responseHeaders, nextCursor, isLooping, isEmptyResult, resultCount. null for static responses or when truto_skip_api_call=true.

data
isEmptyResultboolean
isLoopingboolean
nextCursorstring
requestOptionsRecord<string, any>
requestUrlstring
responseHeadersRecord<string, any>
resultCountnumber
next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Scorecards

idstring
required·

The unique identifier for the scorecard submission

1 supported
Gong
supported
answersobject[]

The answers submitted for the scorecard

1 supported
Gong
supported
2 properties
fieldobject
5 properties
field_groupobject

The field's group identifier. If present, the field is part of a group.

3 properties
idstring

The field group's identifier

labelstring

The field group's label

namestring

The field group's name

idstring

The field's unique identifier

labelstring

The field's label

namestring

The field's name

typestring

The field's type. If no clear mapping exists, then the raw value is returned.

Possible values:
statementstringtextrich_textnumberbooleandatedatetimetimeenumarrayfile+ 5 more
valuestring

The value for the field submitted

created_atstring · date-time

Creation time of the scorecard record

initiativeobject

Coaching or quality initiative associated with the scorecard, when applicable

2 properties
idstring

The unique identifier for the initiative

namestring

Name of the initiative

meetingobject

The meeting or call that was reviewed

1 supported
Gong
supported
2 properties
idstring
required·

The unique identifier for the meeting

start_timestring · date-time

Start time of the meeting in ISO 8601 format

overall_recommendationstring

Overall qualitative recommendation or summary for the review

1 supported
Gong
supported
overall_scorenumber

Overall numeric score for the review, when provided by the source

1 supported
Gong
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

review_methodstring

How the scorecard was completed. Can be manual, automatic, or both.

reviewed_atstring · date-time

When the review was completed

1 supported
Gong
supported
revieweeobject

The user whose performance was reviewed

1 supported
Gong
supported
3 properties
emailstring

Email of the reviewee

idstring

The unique identifier for the reviewee

namestring

Name of the reviewee

reviewerobject

The user who performed the review

1 supported
Gong
supported
3 properties
emailstring

Email of the reviewer

idstring

The unique identifier for the reviewer

namestring

Name of the reviewer

scorecard_templateobject

The scorecard template that was used for the review

1 supported
Gong
supported
2 properties
idstring

The unique identifier for the scorecard template

namestring

Name of the scorecard template

submitted_atstring · date-time

When the scorecard was submitted or last answered

1 supported
Gong
supported
updated_atstring · date-time

Last updated time of the scorecard record

visibilitystring

Visibility of the scorecard in the source system

1 supported
Gong
supported
truto unified conversational-intelligence scorecards \
  -a '<integrated_account_id>' \
  -o json
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'conversational-intelligence',
  'scorecards',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "conversational-intelligence",
        "scorecards",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())
curl -X GET 'https://api.truto.one/unified/conversational-intelligence/scorecards?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/conversational-intelligence/scorecards?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/conversational-intelligence/scorecards"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())